import { UMB_BLOCK_RTE_MANAGER_CONTEXT } from './block-rte-manager.context-token.js';
import { UMB_BLOCK_RTE_ENTRIES_CONTEXT } from './block-rte-entries.context-token.js';
import { mergeObservables } from '../../../../libs/observable-api/index.js';
import { UmbBlockEntryContext } from '../../block/index.js';
export class UmbBlockRteEntryContext extends UmbBlockEntryContext {
    constructor(host) {
        super(host, UMB_BLOCK_RTE_MANAGER_CONTEXT, UMB_BLOCK_RTE_ENTRIES_CONTEXT);
        /** @deprecated Use `displayInlineConfig` instead. This field will be removed in Umbraco 19. [LK] */
        this.displayInline = this._layout.asObservablePart((x) => (x ? (x.displayInline ?? false) : undefined));
        this.displayInlineConfig = this._blockType.asObservablePart((x) => (x ? (x.displayInline ?? false) : undefined));
        this.forceHideContentEditorInOverlay = this._blockType.asObservablePart((x) => x ? (x.forceHideContentEditorInOverlay ?? false) : undefined);
        this.showContentEdit = mergeObservables([this._contentStructureHasProperties, this.forceHideContentEditorInOverlay], ([a, b]) => {
            return a === true && b === false;
        });
    }
    _gotManager() { }
    _gotEntries() { }
    _gotContentType() { }
}
